Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfOutlineLevelType

    java.lang.Object
      java.lang.Enum<OdfOutlineLevelType>
          org.odftoolkit.odfdom.dom.type.text.OdfOutlineLevelType

All Implemented Interfaces:
  Serializable, Comparable<OdfOutlineLevelType>

    public enum OdfOutlineLevelType

extends Enum<OdfOutlineLevelType>

DOM implementation of OpenDocument attribute text:outline-level.

Enum Constant Summary
`_1`
`_2`
`_3`
`SEPARATOR`

Method Summary
`static OdfOutlineLevelType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfOutlineLevelType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfOutlineLevelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfOutlineLevelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SEPARATOR

    public static final OdfOutlineLevelType SEPARATOR

### _1

    public static final OdfOutlineLevelType _1

### _2

    public static final OdfOutlineLevelType _2

### _3

    public static final OdfOutlineLevelType _3

Method Detail

### values

    public static OdfOutlineLevelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfOutlineLevelType c : OdfOutlineLevelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfOutlineLevelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfOutlineLevelType>`
  Returns:
    return the name of OdfOutlineLevelType

### toString

    public static String toString(OdfOutlineLevelType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfOutlineLevelType, see text:outline-level
  Returns:
    return the name of OdfOutlineLevelType

### enumValueOf

    public static OdfOutlineLevelType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfOutlineLevelType
  Returns:
    return the constant of OdfOutlineLevelType, see text:outline-level

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.